LayoutManager

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt
Interface LayoutManager

All Known Subinterfaces:
  LayoutManager2

All Known Implementing Classes:
  BorderLayout, CardLayout, FlowLayout, GridBagLayout, GridLayout

    public interface LayoutManager

Defines the interface for classes that know how to lay out `Container`s.

Version:
  1.24, 01/23/03
Author:
  Sami Shaio, Arthur van Hoff
See Also:
  `Container`

Method Summary
`void` | `addLayoutComponent(String name, Component comp)` If the layout manager uses a per-component string, adds the component `comp` to the layout, associating it with the string specified by `name`.
`void` | `layoutContainer(Container parent)` Lays out the specified container.
`Dimension` | `minimumLayoutSize(Container parent)` Calculates the minimum size dimensions for the specified container, given the components it contains.
`Dimension` | `preferredLayoutSize(Container parent)` Calculates the preferred size dimensions for the specified container, given the components it contains.
`void` | `removeLayoutComponent(Component comp)` Removes the specified component from the layout.

Method Detail

### addLayoutComponent

    void addLayoutComponent(String name,
                            Component comp)

  If the layout manager uses a per-component string, adds the component `comp` to the layout, associating it with the string specified by `name`.

  Parameters:
    `name` - the string to be associated with the component
    `comp` - the component to be added

### removeLayoutComponent

    void removeLayoutComponent(Component comp)

  Removes the specified component from the layout.

  Parameters:
    `comp` - the component to be removed

### preferredLayoutSize

    Dimension preferredLayoutSize(Container parent)

  Calculates the preferred size dimensions for the specified container, given the components it contains.

  Parameters:
    `parent` - the container to be laid out
  See Also:
    `minimumLayoutSize(java.awt.Container)`

### minimumLayoutSize

    Dimension minimumLayoutSize(Container parent)

  Calculates the minimum size dimensions for the specified container, given the components it contains.

  Parameters:
    `parent` - the component to be laid out
  See Also:
    `preferredLayoutSize(java.awt.Container)`

### layoutContainer

    void layoutContainer(Container parent)

  Lays out the specified container.

  Parameters:
    `parent` - the container to be laid out

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD